## gate.creole
Class CreoleXmlHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--gate.creole.CreoleXmlHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class CreoleXmlHandler
extends org.xml.sax.helpers.DefaultHandler

This is a SAX handler for processing `creole.xml` files. It would have been better to write it using DOM or JDOM but.... Resource data objects are created and added to the CREOLE register. URLs for resource JAR files are added to the GATE class loader.

Constructor Summary
`CreoleXmlHandler(CreoleRegister register, URL directoryUrl)` Construction

Method Summary
`void` `characters(char[] text, int start, int length)` Called when the SAX parser encounts text (PCDATA) in the XML doc
`void` `endDocument()` Called when the SAX parser encounts the end of the XML document
`void` `endElement(String uri, String qName, String elementName)` Called when the SAX parser encounts the end of an XML element.
`void` `error(org.xml.sax.SAXParseException ex)` Called for parse errors.
`void` `fatalError(org.xml.sax.SAXParseException ex)` Called for fatal errors.
`void` `ignorableWhitespace(char[] ch, int start, int length)` Called when the SAX parser encounts white space
`void` `startDocument()` Called when the SAX parser encounts the beginning of the XML document
`void` `startElement(String uri, String qName, String elementName, org.xml.sax.Attributes atts)` Called when the SAX parser encounts the beginning of an XML element
`void` `warning(org.xml.sax.SAXParseException ex)` Called for warnings.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreoleXmlHandler

    public CreoleXmlHandler(CreoleRegister register,
                            URL directoryUrl)

  Construction

Method Detail

### startDocument

    public void startDocument()
                       throws GateSaxException

  Called when the SAX parser encounts the beginning of the XML document
  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

### endDocument

    public void endDocument()
                     throws GateSaxException

  Called when the SAX parser encounts the end of the XML document
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

### startElement

    public void startElement(String uri,
                             String qName,
                             String elementName,
                             org.xml.sax.Attributes atts)

  Called when the SAX parser encounts the beginning of an XML element
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(String uri,
                           String qName,
                           String elementName)
                    throws GateSaxException

  Called when the SAX parser encounts the end of an XML element. This is where ResourceData objects get values set, and where they are added to the CreoleRegister when we parsed their complete metadata entries.
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Called when the SAX parser encounts text (PCDATA) in the XML doc
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Called when the SAX parser encounts white space
  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`

### error

    public void error(org.xml.sax.SAXParseException ex)
               throws org.xml.sax.SAXException

  Called for parse errors.
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXException

  Called for fatal errors.
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`

### warning

    public void warning(org.xml.sax.SAXParseException ex)
                 throws org.xml.sax.SAXException

  Called for warnings.
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`